GRUB-MKIMAGE(1)

NUME
grub-mkimage - creează o imagine de GRUB care poate fi pornită

SINOPSIS
grub-mkimage [OPȚIUNE...] [OPȚIUNE]... [MODULE]

DESCRIERE
Creează o imagine de GRUB care poate fi pornită.

-c, --config=FIȘIER
    încorporează FIȘIER ca o configurație timpurie

-C, --compression=(xz|none|auto)
    alege comprimarea de utilizat pentru imaginea de bază

--disable-cli
    dezactivează accesul la interfața liniei de comandă

--disable-shim-lock
    dezactivează verificarea shim_lock

-d, --directory=DIRECTOR
    utilizează imaginile și modulele din DIR [default=/usr/lib/grub/<platforma>]]

-D, --dtb=FIȘIER
    încorporează FIȘIER ca arbore de dispozitive (DTB)

-k, --pubkey=FIȘIER
    încorporează FIȘIERUL drept cheie publică pentru verificarea semnăturii

-m,                              --memdisk=FIȘIER
    încorporează FIȘIER ca imagine de disc de memorie

Implică „-p (disc_de_memorie)/boot/grub” și suprascrie

orice prefix furnizat anterior, însă prefixul
    însuși poate fi înlocuit de opțiunile ulterioare

-n, --note
    adaugă segmentul NOTE pentru CHRP IEEE1275

-o, --output=FIȘIER
    trimite imaginea generată la FIȘIER [implicit=stdout(ieșirea standard)]

-O, --format=FORMAT
    generează o imagine în FORMAT; formate disponibile: i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, loongarch64-efi, riscv32-efi, riscv64-efi

-p, --prefix=DIRECTOR
    stabilește prefixul directorului

-s, --sbat=FIȘIER
    metadate SBAT

-v, --verbose
    afișează mesaje detaliate.

-?, --help
    oferă această listă de ajutor

--usage
    oferă un mesaj de utilizare scurt

-V, --version
    afișează versiunea programului

Argumentele obligatorii sau opționale pentru opțiunile lungi sunt obligatorii sau opționale și pentru opțiunile corespunzătoare scurte.

RAPORTAREA ERORILOR
Raportați erorile la <bug-grub@gnu.org>.

CONSULTAȚI ȘI
grub-install(8), grub-mkrescue(1), grub-mknetdir(8)

Documentația completă pentru grub-mkimage este menținută ca un manual Texinfo. Dacă programele info și grub-mkimage sunt instalate corect în sistemul dvs., comanda

    info grub-mkimage

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.